Package opennlp.tools.chunker

## Class ChunkerFactory

- java.lang.Object
- - opennlp.tools.util.BaseToolFactory
  - - opennlp.tools.chunker.ChunkerFactory

- Direct Known Subclasses:
    `ParserChunkerFactory`

      public class ChunkerFactory
      extends BaseToolFactory

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChunkerFactory()` | Creates a `ChunkerFactory` that provides the default implementation of the resources.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ChunkerFactory` | `create​(String subclassName)` | Instantiates a `ChunkerFactory` via a given `subclassName`.
    `ChunkerContextGenerator` | `getContextGenerator()` |
    `SequenceValidator<TokenTag>` | `getSequenceValidator()` |
    `void` | `validateArtifactMap()` | Validates the parsed artifacts.

    - ### Methods inherited from class opennlp.tools.util.BaseToolFactory

      `create, create, createArtifactMap, createArtifactSerializersMap, createManifestEntries`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkerFactory

          public ChunkerFactory()

      Creates a `ChunkerFactory` that provides the default implementation of the resources.

  - ### Method Detail

    - #### create

          public static ChunkerFactory create​(String subclassName)
                                       throws InvalidFormatException

      Instantiates a `ChunkerFactory` via a given `subclassName`.
      Parameters:
        `subclassName` - The class name used for instantiation. If `null`, an instance of `ChunkerFactory` will be returned per default. Otherwise, the `ExtensionLoader` mechanism is applied to load the requested `subclassName`.
      Returns:
        A valid `ChunkerFactory` instance.
      Throws:
        `InvalidFormatException` - Thrown if the `ExtensionLoader` mechanism failed to create the factory associated with `subclassName`.

    - #### validateArtifactMap

          public void validateArtifactMap()
                                   throws InvalidFormatException

      Description copied from class: `BaseToolFactory`
      Validates the parsed artifacts.

      Note: Subclasses should generally invoke `super.validateArtifactMap` at the beginning of this method.

      Specified by:
        `validateArtifactMap` in class `BaseToolFactory`
      Throws:
        `InvalidFormatException` - Thrown if validation found invalid states.

    - #### getSequenceValidator

          public SequenceValidator<TokenTag> getSequenceValidator()

    - #### getContextGenerator

          public ChunkerContextGenerator getContextGenerator()